Summary: Stops browsers from displaying ads in web pages.
Name: junkbuster
Version: 2.0.2
Release: 28
Source0: http://internet.junkbuster.com/ijb20.tar.Z
Source1: http://www.waldherr.org/junkbuster/misc-junkbuster-stuff.tar.gz
Source2: junkbuster.init
Patch0: logrotate-hell.patch
Copyright: GPL
Group: Applications/System
URL: http://www.waldherr.org/junkbuster/
BuildRoot: %{_tmppath}/%{name}-root
Prereq: /usr/sbin/useradd , /sbin/chkconfig , /sbin/service 

%description
The Internet Junkbuster stops your browser from displaying the
advertisement images that pervade many commercial web pages.  Since
your browser has to download fewer images, surfing the web should be
faster.

%prep
%setup -q -n ijb20 -a 1

cp -f swa/* .
patch < manfile.patch
%patch0 -p1 -b .old

%build
export DISTNAME='\"junkbuster-2.0.2-3\"'
export DISTURL='\"http://www.waldherr.org/junkbuster/\"'
make && strip junkbuster

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/var/log/junkbuster \
	$RPM_BUILD_ROOT%{_sbindir} \
	$RPM_BUILD_ROOT%{_mandir}/man8 \
	$RPM_BUILD_ROOT/etc/{junkbuster,logrotate.d,cron.weekly,cron.monthly,rc.d/init.d}

install -s -m 744 junkbuster $RPM_BUILD_ROOT/usr/sbin/junkbuster
cp -f junkbuster.1 $RPM_BUILD_ROOT%{_mandir}/man8/junkbuster.8
cp -f blocklist $RPM_BUILD_ROOT/etc/junkbuster/blocklist
cp -f imagelist $RPM_BUILD_ROOT/etc/junkbuster/imagelist
cp -f cookiefile $RPM_BUILD_ROOT/etc/junkbuster/cookiefile
cp -f saclfile.ini $RPM_BUILD_ROOT/etc/junkbuster/aclfile
cp -f config $RPM_BUILD_ROOT/etc/junkbuster/config
cp -f forward $RPM_BUILD_ROOT/etc/junkbuster/forward
cp -f strust.ini $RPM_BUILD_ROOT/etc/junkbuster/trust
cp -f junkbuster.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/junkbuster
cp -f swa/README.TOO .
cp -f swa/squid.txt .

install -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/junkbuster
install -m 744 -d $RPM_BUILD_ROOT/var/log/junkbuster

%pre
/usr/sbin/useradd -d /etc/junkbuster -u 73 -r junkbust > /dev/null 2>&1 || /bin/true

%post
/sbin/chkconfig --add junkbuster

%preun
if [ "$1" = "0" ]; then
	/sbin/service junkbuster stop > /dev/null 2>&1
	/sbin/chkconfig --del junkbuster
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service junkbuster condrestart > /dev/null 2>&1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ijbfaq.html ijbman.html README README.TOO gpl.html squid.txt junkbuster.weekly junkbuster.monthly
%dir /etc/junkbuster
%config /etc/junkbuster/blocklist
%config /etc/junkbuster/imagelist
%config /etc/junkbuster/cookiefile
%config /etc/junkbuster/aclfile
%config /etc/junkbuster/config
%config /etc/junkbuster/forward
%config /etc/junkbuster/trust
%attr(0744,junkbust,junkbust) %dir /var/log/junkbuster
%config /etc/logrotate.d/junkbuster
%attr(0744,junkbust,junkbust)/usr/sbin/junkbuster
%{_mandir}/*/*
%config /etc/rc.d/init.d/junkbuster

%changelog
* Sat Jul  7 2001 Tim Powers <timp@redhat.com>
- add reload to initscript

* Fri Jun 29 2001 Tim Powers <timp@redhat.com>
- added missingok to the logrotate patch

* Wed Jun 27 2001 Trond Eivind Glomsrd <teg@redhat.com>
- Don't run by default

* Mon May 21 2001 Tim Powers <timp@redhat.com>
- built for the distro

* Tue Jan 23 2001 Karsten Hopp <karsten@redhat.de>
- patched init script for i18n

* Mon Oct 02 2000 Karsten Hopp <karsten@redhat.de>
- removed two rc.d-patches and added junkbuster.init instead
- fixed path /etc/rc.d/init.d/functions
- fixed preun script
- removed duplicate logrotate patch

* Mon Aug 7 2000 Tim Powers <timp@redhat.com>
- fixed init script to work with chkconfig properly

* Fri Aug 4 2000 Tim Powers <timp@redhat.com>
- fix bug #15140

* Fri Jul 28 2000 Than Ngo <than@redhat.de>
- add missing restart function in startup script
- add condrestart in the scripts
- don't hardcode mandir
- use %%{_tmppath}

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed initscript so that condrestart doesn't return 1 when the test fails

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Wed Jul 19 2000 Tim Powers <timp@redhat.com>
- fixed initscript decsription to have a newline backslash

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- inits back to rc.d/init.d, using /sbin/service to start inits

* Wed Jul 12 2000 Karsten Hopp <karsten@redhat.de>
- rebuild

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed broken PreReq, changed to /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- PreReq /sbin/chkconfig , initscripts >= 5.20

* Mon Jun 26 2000 Tim Powers <timp@redhat.com>
- fixed location of startup script
- cleanup of startup script to be a bit more chkconfig friendly
- clean up of the pre post etc. sections of the spec that were really ugly
- no longer use the stupid K* and S* stuff in rc.d since chkconfig handles it
  anyway.

* Wed Jun 7 2000 Tim Powers <timp@redhat.com>
- fix man page location

* Tue May 9 2000 Tim Powers <timp@redhat.com>
- fixed "log rotate hell" bug #11337, why didn't the patch make it in last
  time in response to #9058?????

* Mon Feb 21 2000 Tim Powers <timp@redhat.com>
- fixed bogus (read bizarre) error messages we were getting on uninstall

* Wed Feb 02 2000 Tim Powers <timp@redhat.com>
- patched to fix bug 9058

* Tue Aug 17 1999 Tim Powers <timp@redhat.com>
- fixed problem with not removing user junkbust after uninstall

* Sat Jul 17 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed May 12 1999 Michael K. Johnson <johnsonm@redhat.com>
- defattr was clobbering nobody ownership
- decided that a separate user id would be preferable -- part of
  the point of "nobody" is only being able to edit world-editable
  files, as a general rule.
- added %build
- used daemon function so that logging is done right

* Thu Apr 15 1999 Michael Maher <mike@redhat.com>
- cleaned up spec file a bit, built for 6.0

* Sun Jan 31 1999 Stefan Waldherr <stefan@waldherr.org>
	/var/log/junkbuster set to nobody. Added /etc/junkbuster/imagelist
	to allow more sophisticated matching of blocked images. Logrotate
	logfile. Added files for auto-updating the blocklist et al.

* Wed Dec 16 1998 Stefan Waldherr <stefan@waldherr.org>
	Configure blank version via config file. No separate blank
	version anymore. Added Roland's <roland@spinnaker.rhein.de>
	patch to show a logo instead of a blank area. Added a suggestion
	from Alex <alex@cocoa.demon.co.uk>: /var/lock/subsys/junkbuster.
	More regexps in the blocklist. Prepared the forwardfile for
	squid. Extended image regexp with help from gabriel 
	<somlo@CS.ColoState.EDU>.

* Thu Nov 19 1998 Stefan Waldherr <stefan@waldherr.org>
	All RPMs now identify themselves in the show-proxy-args page.
	Released Windoze version. Run junkbuster as nobody instead of
	root. 

* Fri Oct 30 1998 Stefan Waldherr <stefan@waldherr.org>
	Newest version. First release (hence the little version number
	mixture -- 2.0.2-0 instead of 2.0-7). This version tightens 
	security over 2.0.1; some multi-user sites will need to change 
	the listen-address in the configuration file. The blank version of
        the Internet Junkbuster has a more sophisticated way of replacing
	images. All RPMs identify themselves in the show-proxy-args page.

* Thu Sep 23 1998 Stefan Waldherr <stefan@waldherr.org>
	Modified the blocking feature, so that only GIFs and JPEGs are
	blocked and replaced but not HTML pages. Thanks to 
	"Gerd Flender" <plgerd@informatik.uni-siegen.de> for this nice
	idea. Added numerous stuff to the blocklist. Keep patches in
        seperate files and no longer in diffs (easier to maintain).

* Tue Jun 16 1998 Stefan Waldherr <swa@cs.cmu.edu>
        Moved config files to /etc/junkbuster directory, moved man page,
	added BuildRoot directive (Thanks to Alexey Nogin <ayn2@cornell.edu>)
        Made new version junkbuster-raw (which is only a stripped version of 
        the junkuster rpm, i.e. without my blocklist, etc.)

* Tue Jun 16 1998 (2.0-1)
	Uhm, not that much. Just a new junkbuster version that
	fixes a couple of bugs ... and of course a bigger 
	blocklist with the unique Now-less-ads-than-ever(SM)
	feature.
	Oh, one thing: I changed the default user agent to Linux -- no 
	need anymore to support Apple.

* Tue Jun 16 1998 (2.0-0)
	Now-less-ads-than-ever (SM)
	compiled with gcc instead of cc
	compiled with -O3, thus it should be a little faster
	show-proxy-args now works
	/etc/junkbuster.init wasn't necessary

* Tue Jun 16 1998 (1.4)
	some more config files were put into /etc
	The junkbuster-blank rpm returns a 1x1 pixel image, that gets 
	displayed by Netscape instead of the blocked image.
	Read http://www.waldherr.org/junkbuster/ for
	further info.

* Tue Jun 16 1998 (1.3)
	The program has been moved to /usr/sbin (from /usr/local/bin)
	Init- and stopscripts (/etc/rc.d/rc*) have been added so
	that the junkbuster starts automatically during bootup.
	The /etc/blocklist file is much more sophisticated. Theoretically
	one should e.g. browse all major US and German newspapers without
	seeing one annoying ad.
	junkbuster.init was modified. It now starts junkbuster with an
	additional "-r @" flag.
